| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Parser
Parser.XML
Parser.XML.Tree
Parser.XML.Tree.AbstractNode

# Method Parser.XML.Tree.AbstractNode()->replace_child()

Method replace_child

  `AbstractNode replace_child(AbstractNode old, AbstractNode new)`

Description

  Replaces the first occurrence of the old node child with the new node child. All parent references are updated.

Note

  The returned value is NOT the current node.

Returns

  Returns the new child node.